Get list of reusable steps
GET
/reusablestepsGet complete list of reusable steps (with paging)
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, ReusableStepsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new ReusableStepsApi(config);
const result = await api.getAllReusableSteps({ "project": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/reusablesteps?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | number | Yes | Project ID |
_limit |
query | integer | No | Limit the size of the returned results |
_start |
query | integer | No | Skip a specific number of entries (for pagination) |
_sort |
query | string | No | Sort according to a specific field. |
_filter |
query | string | No | Stringified filter object (the filtering guide) |
Response
Section titled “Response”200 — Action status details
| Field | Type | Required | Description |
|---|---|---|---|
[].id |
number | Yes | Reusable step ID |
[].name |
string | Yes | Name of step collection for reference |
[].steps |
Array of Step | Yes | — |
[]